Package org.apache.cayenne.exp

## Class ExpressionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cayenne.CayenneRuntimeException
        - - org.apache.cayenne.exp.ExpressionException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `EJBQLException`

      public class ExpressionException
      extends CayenneRuntimeException

  RuntimeException thrown on errors during expressions creation/parsing.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `expressionString` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExpressionException()` |
    `ExpressionException​(String messageFormat, Object... messageArgs)` |
    `ExpressionException​(String messageFormat, String expressionString, Throwable th, Object... messageArgs)` | Constructor for ExpressionException.
    `ExpressionException​(String messageFormat, Throwable cause, Object... messageArgs)` |
    `ExpressionException​(Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getExpressionString()` |

    - ### Methods inherited from class org.apache.cayenne.CayenneRuntimeException

      `getExceptionLabel, getMessage, getUnlabeledMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### expressionString

          protected String expressionString

  - ### Constructor Detail

    - #### ExpressionException

          public ExpressionException()

    - #### ExpressionException

          public ExpressionException​(String messageFormat,
                                     Object... messageArgs)

    - #### ExpressionException

          public ExpressionException​(String messageFormat,
                                     Throwable cause,
                                     Object... messageArgs)

    - #### ExpressionException

          public ExpressionException​(Throwable cause)

    - #### ExpressionException

          public ExpressionException​(String messageFormat,
                                     String expressionString,
                                     Throwable th,
                                     Object... messageArgs)

      Constructor for ExpressionException.
      Since:
        1.1

  - ### Method Detail

    - #### getExpressionString

          public String getExpressionString()